readCdf {affxparser} | R Documentation

## Parsing a CDF file using Affymetrix Fusion SDK

### Description

This function parses a CDF file using the Affymetrix Fusion SDK.

This function will most likely be replaced by the more general `readCdfUnits()` function.

### Usage

     readCdf(filename, units=NULL,
             readXY=TRUE, readBases=TRUE,
             readIndexpos=TRUE, readAtoms=TRUE,
             readUnitType=TRUE, readUnitDirection=TRUE,
             readUnitNumber=TRUE, readUnitAtomNumbers=TRUE,
             readGroupAtomNumbers=TRUE, readGroupDirection=TRUE,
             readIndices=FALSE, readIsPm=FALSE,
             stratifyBy=c("nothing", "pmmm", "pm", "mm"),
             verbose=0)

### Arguments

`filename` | name of the CDF file.
`verbose` | how verbose should the output be. 0 means no output, with higher numbers being more verbose.

### Value

A list with one component for each unit. Every component is again a list with three components

`groups` | This is again a list with one component for each group (also called block). The information on each group is a list with 5 components, `x`, `y`, `pbase`, `tbase`, `expos`.
`type` | type of the unit.
`direction` | direction of the unit.

### Note

This version of the function does not return information on the QC probes. This will be added in a (near) future release. In addition we expect the header to be part of the returned object.

So expect changes to the structure of the value of the function in next release. Please contact the developers for details.

### Author(s)

James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen, khansen@stat.berkeley.edu

### See Also

`readCdfHeader()` for getting the header of a CDF file.

[Package affxparser version 1.10.2 Index]